Skip to main content
GET
/
v4
/
core
/
webhook-credential
List
curl --request GET \
  --url https://api.integrations.commenda.io/v4/core/webhook-credential \
  --header 'api_key: <api-key>'
import requests

url = "https://api.integrations.commenda.io/v4/core/webhook-credential"

headers = {"api_key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {api_key: '<api-key>'}};

fetch('https://api.integrations.commenda.io/v4/core/webhook-credential', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "rootfi_id": 123,
      "rootfi_created_at": "<string>",
      "rootfi_updated_at": "<string>",
      "rootfi_organisation_id": 123,
      "rootfi_company_id": {},
      "verification_token": {},
      "signing_secret_masked": {}
    }
  ]
}

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Query Parameters

integration_type
enum<string>
Available options:
BUSY,
CLEARBOOKS,
FREEAGENT,
FRESHBOOKS,
KASHFLOW,
MEKARI_JURNAL,
MS_DYNAMICS_365,
MS_DYNAMICS_365_FO,
MYOB_BUSINESS,
NETSUITE,
ODOO_ACCOUNTING,
QOYOD,
QUICKBOOKS,
QUICKBOOKS_SANDBOX,
ROOTFI_SANDBOX,
SAGE_CLOUD_ACCOUNTING,
SAGE_ZA_CLOUD_ACCOUNTING,
SAGE_INTACCT,
TALLY,
WAFEQ,
WAVE,
XERO,
ZOHO_BOOKS,
PUZZLE_SANDBOX,
PUZZLE,
RILLET,
RILLET_SANDBOX,
AMAZON,
BIG_COMMERCE,
SHOPIFY,
SQUARESPACE,
WIX,
WOO_COMMERCE,
GOOGLE_PLAYSTORE,
CHARGEBEE,
MOLLIE,
PAYPAL,
PAYPAL_SANDBOX,
RAZORPAY,
SQUARE,
SQUARE_SANDBOX,
STRIPE,
STRIPE_TEST,
STRIPE_SANDBOX,
ZOHO_INVOICE,
PADDLE,
PADDLE_SANDBOX,
HUBSPOT,
PIPEDRIVE,
SALES_FORCE,
ZOHO_CRM,
GUSTO
rootfi_company_id
number | null
Required range: x >= 1

Response

200 - application/json
data
object[]
required